> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get unsubscribelist

> Get paginated unsubscribe list by baseId



## OpenAPI

````yaml /swagger.json get /unsubscribe/list/{baseId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /unsubscribe/list/{baseId}:
    get:
      tags:
        - unsubscribe
      description: Get paginated unsubscribe list by baseId
      parameters:
        - schema:
            type: string
          required: true
          name: baseId
          in: path
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
          required: false
          name: pageSize
          in: query
        - schema:
            type: string
          required: false
          name: cursor
          in: query
        - schema:
            type: string
          required: false
          name: search
          in: query
      responses:
        '200':
          description: Returns paginated unsubscribe list.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      oneOf:
                        - type: object
                          properties:
                            email:
                              type: string
                            createdTime:
                              type: string
                            sourceType:
                              type: string
                              enum:
                                - empty
                            sourceMetaData:
                              nullable: true
                          required:
                            - email
                            - createdTime
                            - sourceType
                            - sourceMetaData
                        - type: object
                          properties:
                            email:
                              type: string
                            createdTime:
                              type: string
                            sourceType:
                              type: string
                              enum:
                                - legacy
                            sourceMetaData:
                              nullable: true
                          required:
                            - email
                            - createdTime
                            - sourceType
                            - sourceMetaData
                        - type: object
                          properties:
                            email:
                              type: string
                            createdTime:
                              type: string
                            sourceType:
                              type: string
                              enum:
                                - import
                            sourceMetaData:
                              nullable: true
                          required:
                            - email
                            - createdTime
                            - sourceType
                            - sourceMetaData
                        - type: object
                          properties:
                            email:
                              type: string
                            createdTime:
                              type: string
                            sourceType:
                              type: string
                              enum:
                                - emailLink
                            sourceMetaData:
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - automationSendEmailAction
                                workflow:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                    name:
                                      type: string
                                  required:
                                    - id
                                    - name
                                action:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                    type:
                                      type: string
                                    category:
                                      type: string
                                  required:
                                    - id
                                    - type
                                    - category
                              required:
                                - type
                                - action
                          required:
                            - email
                            - createdTime
                            - sourceType
                            - sourceMetaData
                  hasMore:
                    type: boolean
                  pageSize:
                    type: number
                required:
                  - data
                  - hasMore
                  - pageSize
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url 'https://app.teable.ai/api/unsubscribe/list/%7BbaseId%7D?pageSize=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE&search=SOME_STRING_VALUE' \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/unsubscribe/list/%7BbaseId%7D?pageSize=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE&search=SOME_STRING_VALUE';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/unsubscribe/list/%7BbaseId%7D?pageSize=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE&search=SOME_STRING_VALUE',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/unsubscribe/list/%7BbaseId%7D?pageSize=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE&search=SOME_STRING_VALUE",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````